com.fasterxml.jackson.dataformat.xml.deser

## Class WrapperHandlingDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer
      - - com.fasterxml.jackson.dataformat.xml.deser.WrapperHandlingDeserializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.deser.ContextualDeserializer, com.fasterxml.jackson.databind.deser.ResolvableDeserializer, Serializable

    public class WrapperHandlingDeserializer
    extends com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer

Delegating deserializer whose only function is to handle case of "unwrapped" List/array deserialization from XML.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

Fields
`protected Set<String>` `_namesToWrap` (Simple) Names of properties, for which virtual wrapping is needed to compensate: these are so-called 'unwrapped' XML lists where property name is used for elements, and not as List markers.
`protected com.fasterxml.jackson.databind.JavaType` `_type`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer

`_delegatee`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`WrapperHandlingDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate)`
`WrapperHandlingDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate, Set<String> namesToWrap)`

### Method Summary

Methods
`protected void` `_configureParser(com.fasterxml.jackson.core.JsonParser jp)`
`protected com.fasterxml.jackson.databind.deser.BeanDeserializerBase` `_verifyDeserType(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)`
`com.fasterxml.jackson.databind.JsonDeserializer<?>` `createContextual(com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.BeanProperty property)`
`Object` `deserialize(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`Object` `deserialize(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object intoValue)`
`Object` `deserializeWithType(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`
`protected com.fasterxml.jackson.databind.JsonDeserializer<?>` `newDelegatingInstance(com.fasterxml.jackson.databind.JsonDeserializer<?> newDelegatee0)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer

`_createContextual, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, resolve`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _namesToWrap

    protected final Set<String> _namesToWrap

(Simple) Names of properties, for which virtual wrapping is needed to compensate: these are so-called 'unwrapped' XML lists where property name is used for elements, and not as List markers.

#### _type

    protected final com.fasterxml.jackson.databind.JavaType _type

### Constructor Detail

#### WrapperHandlingDeserializer

    public WrapperHandlingDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate)

#### WrapperHandlingDeserializer

    public WrapperHandlingDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate,
                               Set<String> namesToWrap)

### Method Detail

#### newDelegatingInstance

    protected com.fasterxml.jackson.databind.JsonDeserializer<?> newDelegatingInstance(com.fasterxml.jackson.databind.JsonDeserializer<?> newDelegatee0)

Specified by:
  `newDelegatingInstance` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`

#### createContextual

    public com.fasterxml.jackson.databind.JsonDeserializer<?> createContextual(com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                                                      com.fasterxml.jackson.databind.BeanProperty property)
                                                                        throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `createContextual` in interface `com.fasterxml.jackson.databind.deser.ContextualDeserializer`
Overrides:
  `createContextual` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### deserialize

    public Object deserialize(com.fasterxml.jackson.core.JsonParser jp,
                     com.fasterxml.jackson.databind.DeserializationContext ctxt)
                       throws IOException

Overrides:
  `deserialize` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `IOException`

#### deserialize

    public Object deserialize(com.fasterxml.jackson.core.JsonParser jp,
                     com.fasterxml.jackson.databind.DeserializationContext ctxt,
                     Object intoValue)
                       throws IOException

Overrides:
  `deserialize` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `IOException`

#### deserializeWithType

    public Object deserializeWithType(com.fasterxml.jackson.core.JsonParser jp,
                             com.fasterxml.jackson.databind.DeserializationContext ctxt,
                             com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                               throws IOException

Overrides:
  `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `IOException`

#### _configureParser

    protected final void _configureParser(com.fasterxml.jackson.core.JsonParser jp)
                                   throws IOException

Throws:
  `IOException`

#### _verifyDeserType

    protected com.fasterxml.jackson.databind.deser.BeanDeserializerBase _verifyDeserType(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)